<?php
$dni = $_POST['dni'];

$data = file_get_contents("https://api.apis.net.pe/v1/dni?numero=".$dni);

$info = json_decode($data, true);
 
if($data==='[]' || $info['Nombres']===''){
	$datos = array(0 => 'nada');
	echo json_encode($datos);
}else{
$datos = array(
	0 => $dni, 
	1 => '',
	2 => $info['apellidoPaterno'],
	3 => $info['apellidoMaterno'],
	4 => $info['nombres']
	);
	echo json_encode($datos);
} 
  
 
?>